<template>
    <modal name="cashback-help"
           class="arcticmodal-container full-viewport"
           width="600"
           height="auto"
           adaptive
           @before-open="beforeOpen"
            @before-close="beforeClose">
        <div class="container m-header">
            <div @click="close" class="box-modal_close arcticmodal-close"></div>
            <div class="row">
                <div class="column">
                    <h3>Бонусные рубли</h3>
                </div>
            </div>
        </div>
        <div class="white-block container" :style="{'margin-top': $interface.viewport === 'mobile' ? '60px' : 'auto'}">
            <div class="padding">
                <p>Делайте покупки в магазинах наших партнеров и получайте бонусные рубли на счет. 1 бонусный рубль
                    равен 1 рублю РФ.</p>
                <p>Бонусные рубли могут быть использованы при оплате займа и процентов, начисленных на Ваш займ.</p>
                <p>Делайте покупки у наших партнеров и пользуйтесь услугами Вэббанкира бесплатно!</p>            </div>
        </div>
    </modal>
</template>
<script>
    import invoke from 'lodash/invoke'

    export default {
        name: 'modal-info',
        data () {
            return {
                time: 0,
                duration: 5000,
                params: {}
            }
        },
        methods: {
            beforeOpen (event) {
                this.params = event.params;
                this.$helpers.noscroll(true);
            },
            beforeClose () {
                this.$helpers.noscroll(false);
            },
            close () {
                invoke(this, 'params.onClose')
                this.$modal.hide('cashback-help')
            }
        }
    }
</script>
<style scoped>
    h3 {
        margin-bottom: 0px !important;
    }
    .buttons {
        text-align: center
    }
</style>
